[PATCH] selftests: splice: Add splice_read.sh and hint

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Rong Tao <rongtao@xxxxxxxx>

Add test scripts and prompts.

Signed-off-by: Rong Tao <rongtao@xxxxxxxx>
---
 tools/testing/selftests/splice/splice_read.c  | 1 +
 tools/testing/selftests/splice/splice_read.sh | 9 +++++++++
 2 files changed, 10 insertions(+)
 create mode 100755 tools/testing/selftests/splice/splice_read.sh

diff --git a/tools/testing/selftests/splice/splice_read.c b/tools/testing/selftests/splice/splice_read.c
index 46dae6a25cfb..194b075f6bc0 100644
--- a/tools/testing/selftests/splice/splice_read.c
+++ b/tools/testing/selftests/splice/splice_read.c
@@ -49,6 +49,7 @@ int main(int argc, char *argv[])
 		      size, SPLICE_F_MOVE);
 	if (spliced < 0) {
 		perror("splice");
+		fprintf(stderr, "May try: %s /etc/os-release | cat\n", argv[0]);
 		return EXIT_FAILURE;
 	}
 
diff --git a/tools/testing/selftests/splice/splice_read.sh b/tools/testing/selftests/splice/splice_read.sh
new file mode 100755
index 000000000000..10fd5d738a2d
--- /dev/null
+++ b/tools/testing/selftests/splice/splice_read.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+set -e
+nl=$(./splice_read /etc/os-release | wc -l)
+
+test "$nl" != 0 && exit 0
+
+echo "splice_read broken"
+exit 1
-- 
2.46.0





[Index of Archives]     [Linux Wireless]     [Linux Kernel]     [ATH6KL]     [Linux Bluetooth]     [Linux Netdev]     [Kernel Newbies]     [Share Photos]     [IDE]     [Security]     [Git]     [Netfilter]     [Bugtraq]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux ATA RAID]     [Samba]     [Device Mapper]

  Powered by Linux